package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 第三方接入信息
 * 
 * @author WANGWEI
 *
 */
@Entity
@IdClass(ThirdPartyAccessPK.class)
@Table(name = "EC_B_THIRD_PARTY_ACCESS")
public class ThirdPartyAccessEntity extends JpaEntity {

	private static final long serialVersionUID = -4967242922242580681L;

	@Id
	private Long orgId;

	@Id
	private String appId;

	/**
	 * 密钥
	 */
	private String secretKey;

	/**
	 * 时间差范围
	 */
	private long timeRange;

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getSecretKey() {
		return secretKey;
	}

	public void setSecretKey(String secretKey) {
		this.secretKey = secretKey;
	}

	public long getTimeRange() {
		return timeRange;
	}

	public void setTimeRange(long timeRange) {
		this.timeRange = timeRange;
	}

}
