package cn.com.qmth.examcloud.core.basic.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.Student;

/**
 * Created by songyue on 17/1/13.
 */
public interface StudentRepo extends JpaRepository<Student, Long>, QueryByExampleExecutor<Student> {

	Student findByUserId(long userId);

	Student findByIdentityNumber(String identityNumber);

	Student findByIdentityNumberAndStudentCodeAndRootOrgId(String identityNumber,
			String studentCode, Long rootOrgId);

	Student findByIdentityNumberAndRootOrgId(String identityNumber, Long rootOrgId);

	Student findByStudentCodeAndRootOrgId(String studentCode, Long rootOrgId);

	Student findByRootOrgIdAndStudentCode(Long rootOrgId, String studentCode);
}
